%
%   version 07.03.02
%
% the function lin_ sep_and_trans separate the two matrices and transposes one
%
function [Q,R,sing]=lin_sep_and_trans(A);
sing=0;
dimQ=size(A,1);
Q=A(:,1:dimQ);
R=(A(:,dimQ+1:end))';
%R=R';